### Method

# Adw Carouselset_allow_long_swipes

#### Declaration [src]

    void
    adw_carousel_set_allow_long_swipes (
      AdwCarousel* self,
      gboolean allow_long_swipes
    )

#### Description [src]

Sets whether to allow swiping for more than one page at a time.

If `allow_long_swipes` is `FALSE`, each swipe can only move to the adjacent pages.

Sets property | `Adw.Carousel:allow-long-swipes`

#### Parameters

`allow_long_swipes`

  Type: `gboolean`

  Whether to allow long swipes.